<div dir="ltr"><div><div><div><div><div>Hi All,<br><br></div>Dropping 32 bit support for realistic technical reasons or after Apple's 64 bit half engineering half marketing success.<br><br></div>I think no need to talk more about why we need 64bit support for general OS environment. If you really care games and Open GL 3.0 support OK but other reasons just for marketing.<br>

<br></div>And lastly, without vendors or SoC producers support on 64 bit, 64 bit OS effect remains slightly as everybody knows here.<br><br></div>Regards,<br></div>Oytun <br></div><div class="gmail_extra"><br><br><div class="gmail_quote">

2013/9/26 Jian-feng Ding <span dir="ltr"><<a href="mailto:jian-feng.ding@intel.com" target="_blank">jian-feng.ding@intel.com</a>></span><br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">

Jan-Simon,<br>
<br>
I will create a new thread to talk about the details of qemu issue. Thanks for<br>
your help.<br>
<br>
thanks<br>
- jf.ding<br>
<br>
On Tue, Sep 24, 2013 at 04:11:10PM +0200, Jan-Simon Möller wrote:<br>
> Hi Jian-feng Ding,<br>
><br>
> On Tuesday 24 September 2013 20:23:20 Jian-feng Ding wrote:<br>
> > Jan-Simon,<br>
> ><br>
> > Thank you for your attention. The story of qemu is:<br>
> ><br>
> > 1. In the building, both OBS and gbs, the scripts will use qemu-arm-static<br>
> > to run arm binary inside build env chroot<br>
><br>
> I know the magic, the OBS support was done by me back then.<br>
><br>
> ><br>
> > 2. In the ideal settings, we'd like to run 64bit qemu-arm-statis in 64bit<br>
> > host system, and the same for 32bit. AND we'd better use the qemu from<br>
> > Tizen repo.<br>
><br>
> Ok, I need to verify on 32bit tonight or tomorrow.<br>
> I can understand why you want to be in control of the qemu version.<br>
><br>
><br>
> > 3. In the 32bit host system, 32bit qemu will encounter memory faults when<br>
> > compiling eglibc of tizen-2.2, so we must use others to bypass it.<br>
> > 32bit system.<br>
><br>
> Backtrace / Buildlog / Log available ?<br>
><br>
> Or can I see/reproduce this somewhere ?<br>
><br>
> ><br>
> > 4. But now, for tizen-3.0, eglibc will not be used. So the issue is not<br>
> > critical. But tools need to continue the support for tizen-2.1/2.2.<br>
><br>
> I see. Still I think fixing qemu is the long-term better solution.<br>
><br>
> > Anyway, it's a very corner issue.<br>
><br>
> Well - eglibc is no leaf package ;) .<br>
><br>
><br>
_______________________________________________<br>
General mailing list<br>
<a href="mailto:General@lists.tizen.org">General@lists.tizen.org</a><br>
<a href="https://lists.tizen.org/listinfo/general" target="_blank">https://lists.tizen.org/listinfo/general</a><br>
</blockquote></div><br></div>